Bug 449105 - Music Applet Crash
Music Applet Crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-applet-music (Show other bugs)
9
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 09:24 EDT by Nuno Dias
Modified: 2008-07-26 02:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 23:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Dias 2008-05-30 09:24:00 EDT
Description of problem:

The Music applet crash

Version-Release number of selected component (if applicable):

gnome-applet-music-2.3.1-1.fc9.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Add to panel
2. Choose Music Applet
3.
  
Actual results:
Crash with this error,
The panel encountered a problem while loading "OAFIID:GNOME_Music_Applet".
Do you want to delete the applet from your configuration?

Expected results:

Adding the applet to panel

Additional info:
Comment 1 Allan Engelhardt 2008-06-01 04:14:25 EDT
I am having the same problem with this version of gnome-applet-music after a
recent update of the packages.  Note that the applet was working earlier after a
F7-F9 upgrade.  I am guessing that one of the dependencies were updated in a way
that broke the applet?

The ~/.xsession-errors log is not very helpful:

** (gnome-panel:3274): WARNING **: panel-applet-frame.c:1285: failed to load
applet OAFIID:GNOME_Music_Applet:
System exception: IDL:Bonobo/GeneralError:1.0 : Child process did not give an
error message, unknown failure occurred

Comment 2 Allan Engelhardt 2008-06-01 04:26:27 EDT
(In reply to comment #1)
> I am guessing that one of the dependencies were updated in a way
> that broke the applet?

I just noticed that gnome-applet-music was one of the packages updated, so, no,
it is probably not one of the dependencies but more likely the package itself.

Rhythmbox (my music player) was also updated.  It is working fine by itself.
Comment 3 Sjoerd Mullender 2008-06-01 06:14:04 EDT
This bug is due to a packaging error.

I noticed that the difference between version 2.3.0-2.fc9 which did work and
version 2.3.1-1.fc9 which doesn't work is the location of the widgets.so file. 
When you start /usr/libexec/music-applet on the command line, you get the message
Traceback (most recent call last):
  File "/usr/libexec/music-applet", line 26, in <module>
    import musicapplet.applet
  File "/usr/lib/python2.5/site-packages/musicapplet/applet.py", line 38, in
<module>
    import musicapplet.widgets
ImportError: No module named widgets

and this is because in the older version widgets.so was colocated with the other
python files in /usr/lib/python2.5/site-packages/musicapplet, whereas in the
newer, non-working version, the file is located all by itself in
/usr/lib64/python2.5/site-packages/musicapplet where it can't be found since the
interpreter only looks in the directory where the rest of the python files are
located (which is still /usr/lib/python2.5/site-packages/musicapplet).
Comment 4 Peter Gordon 2008-06-03 10:15:45 EDT
Thanks for the bug report and helping find the error so quickly. I'll try to get
this fixed ASAP.
Comment 5 Peter Gordon 2008-06-04 15:27:42 EDT
I believe I have tracked this down to upstream BZR revision 187; and am running
some mock builds now to test it.
Comment 6 Fedora Update System 2008-06-04 17:39:49 EDT
gnome-applet-music-2.3.1-2.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-04 17:41:03 EDT
gnome-applet-music-2.3.1-2.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-06-04 17:42:49 EDT
gnome-applet-music-2.3.1-2.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-06-04 23:04:01 EDT
gnome-applet-music-2.3.1-3.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-06-04 23:14:49 EDT
gnome-applet-music-2.3.1-3.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-06-04 23:17:31 EDT
gnome-applet-music-2.3.1-3.fc7 has been submitted as an update for Fedora 7
Comment 12 Fedora Update System 2008-06-06 03:45:06 EDT
gnome-applet-music-2.3.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-music'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4973
Comment 13 Fedora Update System 2008-06-12 22:21:46 EDT
gnome-applet-music-2.3.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-06-12 22:22:05 EDT
gnome-applet-music-2.3.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-06-12 22:24:55 EDT
gnome-applet-music-2.3.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Peter Gordon 2008-06-12 23:45:20 EDT
Not sure why Bodhi didn't auto-close this, so closing manually. :)

Please feel free to re-open this bug with further details should the issue
persist. Thanks.
Comment 17 Fedora Update System 2008-07-26 02:11:00 EDT
gnome-applet-music-2.3.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.